Subject: bug#30204: 27.0.50; Changing major mode resets non-default invisibility spec

From: Robert Pluim <[email-masked]>
Date: Sat, 09 Oct 2021 12:55:54 +0200

>>>>> On Fri, 08 Oct 2021 00:25:57 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Richard Stallman <[email-masked]> writes:
    >> I see the usefulness of a command to remove such things from the
    >> buffer, but I don't think it fits the Emacs concept of "mode".  It
    >> changes the contents of the buffer.
    >> 
    >> I suggest renaming it to something like `clean-buffer'.

    Lars> It's a mode -- it continues to remove text properties from text you yank
    Lars> into it.

I see you did that with 'after-change-functions'. Would a
'pre-yank-hook' be a useful addition to Emacs? I often yank output
from badly behaved programs, and having a buffer-local hook to replace
non-breaking-spaces and the like before insertion would be useful.

Robert
--